Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.gen.structure
Class StructureComponent

    java.lang.Object
      net.minecraft.world.gen.structure.StructureComponent

Direct Known Subclasses:
  ComponentMineshaftCorridor, ComponentMineshaftCross, ComponentMineshaftRoom, ComponentMineshaftStairs, ComponentNetherBridgeCorridor, ComponentNetherBridgeCorridor2, ComponentNetherBridgeCorridor3, ComponentNetherBridgeCorridor4, ComponentNetherBridgeCorridor5, ComponentNetherBridgeCrossing, ComponentNetherBridgeCrossing2, ComponentNetherBridgeCrossing3, ComponentNetherBridgeEnd, ComponentNetherBridgeEntrance, ComponentNetherBridgeNetherStalkRoom, ComponentNetherBridgeStairs, ComponentNetherBridgeStraight, ComponentNetherBridgeThrone, ComponentScatteredFeatureDesertPyramid, ComponentScatteredFeatureJunglePyramid, ComponentScatteredFeatureSwampHut, ComponentStrongholdChestCorridor, ComponentStrongholdCorridor, ComponentStrongholdCrossing, ComponentStrongholdLeftTurn, ComponentStrongholdLibrary, ComponentStrongholdPortalRoom, ComponentStrongholdPrison, ComponentStrongholdRoomCrossing, ComponentStrongholdStairs, ComponentStrongholdStairsStraight, ComponentStrongholdStraight, ComponentVillage

    public abstract class StructureComponent

extends Object

Method Summary
`abstract boolean` | `addComponentParts(World var1, Random var2, StructureBoundingBox var3)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
`void` | `buildComponent(StructureComponent par1StructureComponent, List par2List, Random par3Random)` Initiates construction of the Structure Component picked, at the current Location of StructGen
`static StructureComponent` | `findIntersecting(List par0List, StructureBoundingBox par1StructureBoundingBox)` Discover if bounding box can fit within the current bounding box object.
`StructureBoundingBox` | `getBoundingBox()`
`ChunkPosition` | `getCenter()`
`int` | `getComponentType()` Returns the component type ID of this component.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### buildComponent

    public void buildComponent(StructureComponent par1StructureComponent,
                               List par2List,
                               Random par3Random)

  Initiates construction of the Structure Component picked, at the current Location of StructGen

### addComponentParts

    public abstract boolean addComponentParts(World var1,
                                              Random var2,
                                              StructureBoundingBox var3)

  second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...

### getBoundingBox

    public StructureBoundingBox getBoundingBox()

### getComponentType

    public int getComponentType()

  Returns the component type ID of this component.

### findIntersecting

    public static StructureComponent findIntersecting(List par0List,
                                                      StructureBoundingBox par1StructureBoundingBox)

  Discover if bounding box can fit within the current bounding box object.

### getCenter

    public ChunkPosition getCenter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD